from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.Faq.config import *
from Products.CMFCore.utils import getToolByName

from StringIO import StringIO

def install(self):
    out = StringIO()

    installTypes(self, out,
                 listTypes(PROJECTNAME),
                 PROJECTNAME)

    install_subskin(self, out, GLOBALS)

    #register the folderish items in portal_properties/site_properties
    site_props = getToolByName(self, 'portal_properties').site_properties
    use_folder_tabs = site_props.getProperty('use_folder_tabs', None)
    if use_folder_tabs and 'FaqFolder' not in use_folder_tabs:
        site_props._updateProperty('use_folder_tabs', tuple(use_folder_tabs) +
	                               ('FaqFolder',))
        print >> out, "Added FaqFolder to portal_properties/site_properties/use_folder_tabs"

    use_folder_contents = site_props.getProperty('typesLinkToFolderContentsInFC', None)
    if use_folder_contents and 'FaqFolder' not in use_folder_contents:
        site_props._updateProperty('typesLinkToFolderContentsInFC',
			           tuple(use_folder_contents) + ('FaqFolder',))
    print >> out, "Added FaqFolder to portal_properties/site_properties/use_folder_contents"


    print >> out, "Successfully installed %s." % PROJECTNAME
    return out.getvalue()


def uninstall(self):
    site_props = getToolByName(self, 'portal_properties').site_properties
    use_folder_tabs = site_props.getProperty('use_folder_tabs', None)
    if use_folder_tabs and 'FaqFolder' in use_folder_tabs:
        use_folder_tabs = list(use_folder_tabs)
        use_folder_tabs.remove('FaqFolder')
        site_props._updateProperty('use_folder_tabs', tuple(use_folder_tabs))

    use_folder_contents = site_props.getProperty('typesLinkToFolderContentsInFC', None)
    if use_folder_contents and 'FaqFolder' in use_folder_contents:
        use_folder_contents = list(use_folder_contents)
        use_folder_contents.remove('FaqFolder')
        site_props._updateProperty('typesLinkToFolderContentsInFC',
			           tuple(use_folder_contents))
